
@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

.pb-square-node{
    border: 1px solid #FFF;
    position: absolute;
    transition-timing-function: ease-in;
    transition: 0.2s;
    border-radius: 3px;
    z-index: 999;
    display: flex;
    flex: 0 0 auto;

    span{
        padding:10px;
        font-size: 12px;
        font-weight: bold;
    }
    
}
.pb-square-node--highlight{
    cursor: move;
    z-index: 1010;
    user-select: none;
    border: 2px dashed white;
    visibility: visible;
}
.pb-square-node--highlight:hover{
    cursor: move;
    z-index: 1010;
    user-select: none;
    border: 2px dashed white;
    visibility: visible;
}

.pb-square-node--nohighlight{
    cursor: move;
    z-index: 1010;
    user-select: none;
    border: 2px dashed white;
    visibility: hidden;
}

[draggable=true] {
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-o-user-select: none;
	user-select: none;
	user-drag: element;
	-webkit-user-drag: element;
}


.pb-square-node:hover{
    cursor: move;
}

.pb-square-node.dragging,
.pb-square-node.dragstart{
    cursor: move;
    user-select: none;
    width: 0 !important;
    height: 0 !important;
    visibility: hidden;
    opacity: 0;
}

.pb-square-node.dragend{
    -webkit-transition: opacity 1s ease-in;
    -moz-transition: opacity 1s ease-in;
     -ms-transition: opacity 1s ease-in;
      -o-transition: opacity 1s ease-in;
         transition: opacity 1s ease-in;
         transition-timing-function: unset;
}

.dragover,
.dragenter{
  z-index: 1000;
  border: 2px dashed blue;
}
